<?php

namespace App\Http\Requests\Character;

use Illuminate\Foundation\Http\FormRequest;

class BanCharacterRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'duration' => 'required|integer|min:0',
            'reason' => 'string|max:255',
            'type' => 'string|in:ban,mute',
        ];
    }
}
